{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Create metadata storage records for artifacts associated with an organization.\nThis endpoint will create a new artifact storage record on behalf of any artifact matching the provided digest and\nassociated with a repository owned by the organization.","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."}},"required":["org"],"additionalProperties":false},"body":{"type":"object","properties":{"name":{"type":"string","description":"The name of the artifact.","minLength":1,"maxLength":256,"examples":["libfoo"]},"digest":{"type":"string","description":"The digest of the artifact (algorithm:hex-encoded-digest).","minLength":71,"maxLength":71,"pattern":"^sha256:[a-f0-9]{64}$","examples":["sha256:0ecbaa601dba202129058746c7d8e3f282d0efb5fff0..."]},"version":{"type":"string","description":"The artifact version.","minLength":1,"maxLength":100,"examples":["1.2.3"]},"artifact_url":{"type":"string","format":"uri","pattern":"^https://","description":"The URL where the artifact is stored.","maxLength":152,"examples":["https://reg.example.com/artifactory/bar/libfoo-1.2.3"]},"path":{"type":"string","format":"uri","description":"The path of the artifact.","maxLength":512,"examples":["com/github/bar/libfoo-1.2.3"]},"registry_url":{"type":"string","format":"uri","pattern":"^https://","description":"The base URL of the artifact registry.","minLength":1,"maxLength":256,"examples":["https://reg.example.com/artifactory/"]},"repository":{"type":"string","description":"The repository name within the registry.","maxLength":128,"examples":["bar"]},"status":{"type":"string","description":"The status of the artifact (e.g., active, inactive).","enum":["active","eol","deleted"],"default":"active","examples":["active"]},"github_repository":{"type":"string","description":"The name of the GitHub repository associated with the artifact. This should be used\nwhen there are no provenance attestations available for the artifact. The repository\nmust belong to the organization specified in the path parameter.\n\nIf a provenance attestation is available for the artifact, the API will use\nthe repository information from the attestation instead of this parameter.","minLength":1,"maxLength":100,"pattern":"^[A-Za-z0-9.\\-_]+$","examples":["my-github-repo"]},"return_records":{"type":"boolean","default":true,"description":"If true, the endpoint will return the created record in the response body.\n"}},"required":["name","digest","registry_url"],"examples":[{"name":"libfoo","version":"1.2.3","digest":"sha256:1bb1e949e55dcefc6353e7b36c8897d2a107d8e8dca49d4e3c0ea8493fc0bc72","artifact_url":"https://reg.example.com/artifactory/bar/libfoo-1.2.3","registry_url":"https://reg.example.com/artifactory/","repository":"bar","status":"active"}]}},"required":["path","body"],"additionalProperties":false},"name":"Create artifact metadata storage record","id":"github.orgs.create-artifact-storage-record","example":{"path":{"org":"example"},"body":{"name":"libfoo","version":"1.2.3","digest":"sha256:1bb1e949e55dcefc6353e7b36c8897d2a107d8e8dca49d4e3c0ea8493fc0bc72","artifact_url":"https://reg.example.com/artifactory/bar/libfoo-1.2.3","registry_url":"https://reg.example.com/artifactory/","repository":"bar","status":"active"}},"maxRequests":1,"summary":false}}